#!/bin/sh

cat << EOF
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>${TITLE:?}</title>
		<link rel="stylesheet" href="assets/bootstrap-reboot.min.css">
		<link rel="stylesheet" href="assets/bootstrap-grid.min.css">
		<link rel="stylesheet" href="assets/main.css">
	</head>
	<body>
		<header>
			<img src="assets/global-initiative-logo.png" alt="Global Initiative logo" id="header-logo" />
		</header>
		<main>
			<div class="file-box">
				<div class="container">
					<div class="row">
						<div class="col-2 align-vertically logo-container">
							<img src="assets/xml-logo.svg" alt="XML logo" />
						</div>
						<div class="col-8">
						<h1>$(basename "${XML_ARTEFACT:?}")</h1>
						<p class="dim">
							filename: $(basename "${XML_FILE:?}") <br />
							md5sum: $(md5sum "${XML_FILE:?}" | cut -d ' ' -f 1)
						</p>
						</div>
						<div class="col-2 align-vertically download-container">
							<a class="btn btn-bold btn-download" download href="${XML_ARTEFACT:?}">Download</a>
						</div>
					</div>
				</div>
			</div>
		</main>
		<footer>
			<div class="container">
				<div class="row">
					<div class="col">
						<img src="assets/global-initiative-logo.png" alt="Global Initiative logo" id="footer-logo" />
					</div>
					<div class="col" id="legal">
						<p>
						© <a href="https://globalinitiative.net">Global Initiative</a> 2021, All Rights Reserved.
						<br />
						Generated on $(date -I).
						</p>
					</div>
				</div>
			</div>
		</footer>
	</body>
</html>
EOF
